Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
New Member

4.1 to 4.2 upgrade aborts on backup error

Hi,

I'm upgrading some systems from ACS 4.1 to 4.2. The first three went fine. On the third the install aborts. I get an error message "Setup failed to export your old user database" and then "Setup could not backup your old configuration. Please check there is sufficient disk space and rerun setup."

1) over 20 GB of disk space free

2) I can do a database export from the 4.1 GUI ok.

any ideas?

thanks

Bob

4 REPLIES

Re: 4.1 to 4.2 upgrade aborts on backup error

Bob,

Please remove or relocate all the file from following location and then try ( these files are debug files, :

\CSAuth\Logs

\CSRadius\Logs

\CSTacacs\Logs

\CSLog\Logs

\CSMon\Logs

\CSAdmin\Logs

\CSDbsync\Logs

- Stop any anitvirus software that might be running.

- Ensure that if you are using CSMARS, and you are using pnlogagent, then that service is stopped, which can be done from services.msc.

- In the end, Also make sure that Drive on which ACS is installed or intallation folder or sub-folders are not shared.

Regards,

~JG

Do rate helpful posts

New Member

Re: 4.1 to 4.2 upgrade aborts on backup error

Moved/renamed the log files, turned of AV and removed share. No luck.

Funny thing is the upgrade has worked fine on three fairly identically configured servers.

thanks

Bob

Re: 4.1 to 4.2 upgrade aborts on backup error

Please reboot the server and then try to upgrade.

New Member

Re: 4.1 to 4.2 upgrade aborts on backup error

Rebooting was not help. As there was not too much in the database, I tried doing an install without keeping the existing configuration. I then got Error at

V:\ismg_israel_acs\Acs\Crypto\init.cpp errors and eventually had to find and delete the old CryptoAPI container per your post

Fella, As we are getting error duri... by jgambhir - Nov 24, 2007, 7:22am PST

that worked!

thanks

Bob

269
Views
0
Helpful
4
Replies
CreatePlease to create content